Bug 851816 - Review Request: fusion-icon - Compiz Fusion panel applet
Review Request: fusion-icon - Compiz Fusion panel applet
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 20:10 EDT by Wolfgang Ulbrich
Modified: 2013-02-12 08:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-01 11:32:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
leigh123linux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ulbrich 2012-08-25 20:10:02 EDT
Spec URL: http://raveit65.fedorapeople.org/compiz/SPEC/fusion-icon.spec
SRPM URL: http://raveit65.fedorapeople.org/compiz/SRPM/fusion-icon-0.1.0-0.8.5e2dc9git.fc17.src.rpm
Description: The Compiz Fusion Icon is a simple panel applet for starting and controlling
Compiz Fusion. Upon launch, it will attempt to start Compiz Fusion
automatically. You may need to select a window decorator, if one does not
appear.
Fedora Account System Username: raveit65
Comment 1 Wolfgang Ulbrich 2012-08-26 06:34:16 EDT
This is a re-review of a retired package.
Comment 3 leigh scott 2013-01-20 12:00:27 EST
APPROVED

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package do not use a name that already exist
     Note: A package already exist with this name, please check
     https://admin.fedoraproject.org/pkgdb/acls/name/fusion-icon
See: https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[-]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[?]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     gtk
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later)", "GPL (v2 or later)", "Unknown or
     generated". 3 files have unknown license. Detailed output of licensecheck
     in /home/leigh/851816-fusion-icon/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[!]: Package do not use a name that already exist
     Note: A package already exist with this name, please check
     https://admin.fedoraproject.org/pkgdb/acls/name/fusion-icon
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
[x]: Python eggs must not download any dependencies during the build process.
[?]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: fusion-icon-0.1-3.fc19.noarch.rpm
          fusion-icon-gtk-0.1-3.fc19.noarch.rpm
          fusion-icon-0.1-3.fc19.src.rpm
fusion-icon.noarch: W: spelling-error Summary(en_US) Compiz -> Compile
fusion-icon.noarch: E: incorrect-fsf-address /usr/share/doc/fusion-icon-0.1/COPYING
fusion-icon.noarch: W: no-manual-page-for-binary fusion-icon
fusion-icon-gtk.noarch: W: no-documentation
fusion-icon.src: W: spelling-error Summary(en_US) Compiz -> Compile
3 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint fusion-icon-gtk fusion-icon
fusion-icon-gtk.noarch: W: no-documentation
fusion-icon.noarch: W: spelling-error Summary(en_US) Compiz -> Compile
fusion-icon.noarch: E: incorrect-fsf-address /usr/share/doc/fusion-icon-0.1/COPYING
fusion-icon.noarch: W: no-manual-page-for-binary fusion-icon
2 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
fusion-icon-0.1-3.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    /usr/bin/env
    /usr/bin/python
    ccsm
    fusion-icon-gtk = 1:0.1-3.fc19
    python(abi) = 2.7

fusion-icon-gtk-0.1-3.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/env
    fusion-icon = 1:0.1-3.fc19
    pygtk2
    python(abi) = 2.7



Provides
--------
fusion-icon-0.1-3.fc19.noarch.rpm:
    
    fusion-icon = 1:0.1-3.fc19

fusion-icon-gtk-0.1-3.fc19.noarch.rpm:
    
    fusion-icon-gtk = 1:0.1-3.fc19



MD5-sum check
-------------
http://cgit.compiz.org/~crdlb/fusion-icon/snapshot/fusion-icon-0.1.tar.bz2 :
  CHECKSUM(SHA256) this package     : 5c27f0d6b7d6139c90d23129f6236b7de0e7fd5399509edd3aa5e3fe937df855
  CHECKSUM(SHA256) upstream package : 5c27f0d6b7d6139c90d23129f6236b7de0e7fd5399509edd3aa5e3fe937df855


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 851816
Comment 4 Wolfgang Ulbrich 2013-01-20 12:10:47 EST
Package Change Request
======================
Package Name: fusion-icon
New Branches: f18
Owners: raveit65
InitialCC:
Comment 5 Wolfgang Ulbrich 2013-01-20 12:12:55 EST
Package Change Request
======================
Package Name: fusion-icon
New Branches: f18
Owners: raveit65
InitialCC:
Comment 6 Gwyn Ciesla 2013-01-22 08:56:39 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-01-22 14:10:57 EST
fusion-icon-0.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fusion-icon-0.1-4.fc18
Comment 8 Fedora Update System 2013-01-23 11:20:22 EST
Package fusion-icon-0.1-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fusion-icon-0.1-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1353/fusion-icon-0.1-4.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-02-01 11:32:07 EST
fusion-icon-0.1-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Wolfgang Ulbrich 2013-02-12 08:01:23 EST
Package Change Request
======================
Package Name: fusion-icon
New Branches: f17
Owners: raveit65
InitialCC:
Comment 11 Gwyn Ciesla 2013-02-12 08:26:17 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.